from enum import Enum

class Welfare(Enum):
    EGALITARIAN = "Egalitarian", "You have a stronger preference for fairness between players and maximize the minimum income."
    UTILITARIAN = "Utilitarian", "You have a stronger preference for common interest and maximize the joint income."
    SELFISH = "Selfish", "You have a stronger preference for your own interest and maximize your own income."
    ALTRUISTIC = "Altruist", "You have a stronger preference for another player’s interest and maximize another player’s income."

    def __init__(self, label, description):
        self._label = label
        self._description = description

    @property
    def label(self):
        return self._label

    @property
    def description(self):
        return self._description