import pandas as pd

# Charger les résultats de l'expérience
df = pd.read_csv("../../data/dictator/dictator_setup.csv")

# Calculer l'accuracy par modèle et par préférence
accuracy_table = df.groupby(["Model", "Preference"])["is_consistent"].mean().unstack()

# Afficher le tableau
print(accuracy_table)

# Sauvegarder le tableau en format CSV pour une utilisation future
accuracy_table.to_csv("../../figures/dictator/dictator_setup_accuracy.csv")